<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.arecap.boot</groupId>
        <artifactId>arecap-boot-samples</artifactId>
        <version>${revision}</version>
        <relativePath>../arecap-boot-samples</relativePath>
    </parent>
    <artifactId>vaadin-enterprise-portal-sample</artifactId>
    <packaging>jar</packaging>
    <name>Vaadin Enterprise Portal Sample</name>
    <description>Vaadin Enterprise Portal Sample</description>
    <properties>
        <main.basedir>${basedir}</main.basedir>
    </properties>
    <dependencies>
        <dependency>
            <groupId>org.arecap.boot</groupId>
            <artifactId>vaadin-enterprise-portal-starter</artifactId>
        </dependency>
        <!--<dependency>-->
            <!--<groupId>com.vaadin</groupId>-->
            <!--<artifactId>vaadin-compatibility-themes</artifactId>-->
            <!--<version>${vaadin.version}</version>-->
        <!--</dependency>-->
        <!--<dependency>-->
            <!--<groupId>org.springframework.boot</groupId>-->
            <!--<artifactId>spring-boot-starter-data-jpa</artifactId>-->
        <!--</dependency>-->
        <!--<dependency>-->
            <!--<groupId>org.springframework.boot</groupId>-->
            <!--<artifactId>spring-boot-starter-data-rest</artifactId>-->
        <!--</dependency>-->
        <!--<dependency>-->
            <!--<groupId>org.postgresql</groupId>-->
            <!--<artifactId>postgresql</artifactId>-->
        <!--</dependency>-->
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <executable>true</executable>
                </configuration>
                <executions>
                    <execution>
                        <id>generate build info</id>
                        <goals>
                            <goal>build-info</goal>
                        </goals>
                        <configuration>
                            <additionalProperties>
                                <encoding.source>${project.build.sourceEncoding}</encoding.source>
                                <encoding.reporting>${project.reporting.outputEncoding}</encoding.reporting>
                                <java.source>${maven.compiler.source}</java.source>
                                <java.target>${maven.compiler.target}</java.target>
                            </additionalProperties>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>